org.h2.value

## Class CaseInsensitiveMap<V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,V>
    - - org.h2.value.CaseInsensitiveMap<V>

Type Parameters:
  `V` - the value type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,V>

    public class CaseInsensitiveMap<V>
    extends java.util.HashMap<java.lang.String,V>

A hash map with a case-insensitive string key.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`CaseInsensitiveMap()`

### Method Summary

Methods
`boolean` `containsKey(java.lang.Object key)`
`V` `get(java.lang.Object key)`
`V` `put(java.lang.String key, V value)`
`V` `remove(java.lang.Object key)`

### Methods inherited from class java.util.HashMap

`clear, clone, containsValue, entrySet, isEmpty, keySet, putAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### CaseInsensitiveMap

    public CaseInsensitiveMap()

### Method Detail

#### get

    public V get(java.lang.Object key)

Specified by:
  `get` in interface `java.util.Map<java.lang.String,V>`
Overrides:
  `get` in class `java.util.HashMap<java.lang.String,V>`

#### put

    public V put(java.lang.String key,
        V value)

Specified by:
  `put` in interface `java.util.Map<java.lang.String,V>`
Overrides:
  `put` in class `java.util.HashMap<java.lang.String,V>`

#### containsKey

    public boolean containsKey(java.lang.Object key)

Specified by:
  `containsKey` in interface `java.util.Map<java.lang.String,V>`
Overrides:
  `containsKey` in class `java.util.HashMap<java.lang.String,V>`

#### remove

    public V remove(java.lang.Object key)

Specified by:
  `remove` in interface `java.util.Map<java.lang.String,V>`
Overrides:
  `remove` in class `java.util.HashMap<java.lang.String,V>`